# Change Log

## [Unreleased](https://github.com/Boris-Em/BEMSimpleLineGraph/tree/HEAD)

[Full Changelog](https://github.com/Boris-Em/BEMSimpleLineGraph/compare/v3.3...HEAD)

**Implemented enhancements:**

- NSString methods for y values/popups? [\#119](https://github.com/Boris-Em/BEMSimpleLineGraph/issues/119)

- How to draw a null point? [\#104](https://github.com/Boris-Em/BEMSimpleLineGraph/issues/104)

- Ability to draw negative values with different color [\#82](https://github.com/Boris-Em/BEMSimpleLineGraph/issues/82)

**Fixed bugs:**

- Popup Suffix Issue when alwaysDisplayPop enabled [\#134](https://github.com/Boris-Em/BEMSimpleLineGraph/issues/134)

- lineGraphDidFinishLoading [\#124](https://github.com/Boris-Em/BEMSimpleLineGraph/issues/124)

**Closed issues:**

- Bottom Gradient not in latest Podspec [\#113](https://github.com/Boris-Em/BEMSimpleLineGraph/issues/113)

**Merged pull requests:**

- Added a bunch of options including left/right y axis positioning, float values in Y-Axis and popovers, null graph values, and customizations around how the X and Y axes are displayed! [\#132](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/132) ([RobDay](https://github.com/RobDay))

- Added a bunch of options including left/right y axis positioning, float values in Y-Axis and popovers, and null graph values! [\#129](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/129) ([RobDay](https://github.com/RobDay))

- Added support for float on popup labels and Y-axis [\#114](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/114) ([Boris-Em](https://github.com/Boris-Em))

- Additional check to \#80 [\#91](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/91) ([skywinder](https://github.com/skywinder))

## [v3.3](https://github.com/Boris-Em/BEMSimpleLineGraph/tree/v3.3) (2015-01-31)

[Full Changelog](https://github.com/Boris-Em/BEMSimpleLineGraph/compare/v3.2...v3.3)

**Implemented enhancements:**

- huge performance improvement suggestion [\#107](https://github.com/Boris-Em/BEMSimpleLineGraph/issues/107)

**Fixed bugs:**

- popupReport will not show up if animation has been set off [\#106](https://github.com/Boris-Em/BEMSimpleLineGraph/issues/106)

- autoScaleYAxis Not working with Bezier curves [\#99](https://github.com/Boris-Em/BEMSimpleLineGraph/issues/99)

- Popup Labels Displaying as Double with iOS8 [\#74](https://github.com/Boris-Em/BEMSimpleLineGraph/issues/74)

- BezierCurve do not always work [\#73](https://github.com/Boris-Em/BEMSimpleLineGraph/issues/73)

**Closed issues:**

- Gradient fill [\#57](https://github.com/Boris-Em/BEMSimpleLineGraph/issues/57)

**Merged pull requests:**

- Ensure permanent pop-up labels are not duplicated [\#122](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/122) ([kattrali](https://github.com/kattrali))

- fix bug about colorTouchInputLine [\#118](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/118) ([Vernsu](https://github.com/Vernsu))

- Update README.md [\#115](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/115) ([jeffreyjackson](https://github.com/jeffreyjackson))

- Bug/107 [\#111](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/111) ([Boris-Em](https://github.com/Boris-Em))

- Fixed touch report when no animation [\#110](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/110) ([Boris-Em](https://github.com/Boris-Em))

- Multiple lines support \(Re-pull-request\) [\#103](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/103) ([adonishi](https://github.com/adonishi))

- Multiple lines support [\#102](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/102) ([adonishi](https://github.com/adonishi))

- Allow drawing a horizontal or vertical gradient as the graph line [\#101](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/101) ([kattrali](https://github.com/kattrali))

- Add a Gitter chat badge to README.md [\#100](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/100) ([gitter-badger](https://github.com/gitter-badger))

- Add ability to fill the top and/or bottom of a graph with a gradient [\#98](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/98) ([kattrali](https://github.com/kattrali))

- Pr/90 [\#97](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/97) ([Boris-Em](https://github.com/Boris-Em))

- Add automatically generated changelog file [\#94](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/94) ([skywinder](https://github.com/skywinder))

- able to customize text on no data label [\#93](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/93) ([sbhhbs](https://github.com/sbhhbs))

- Code improvements [\#90](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/90) ([skywinder](https://github.com/skywinder))

- Fix path in bridging header section in Readme [\#89](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/89) ([DavidQL](https://github.com/DavidQL))

- Reference line color & draw order [\#88](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/88) ([gavinbunney](https://github.com/gavinbunney))

## [v3.2](https://github.com/Boris-Em/BEMSimpleLineGraph/tree/v3.2) (2014-11-02)

[Full Changelog](https://github.com/Boris-Em/BEMSimpleLineGraph/compare/v3.1...v3.2)

**Implemented enhancements:**

- Dots still animating when animationGraphStyle set to BEMLineAnimationNone [\#80](https://github.com/Boris-Em/BEMSimpleLineGraph/issues/80)

- enableReferenceAxisLines should be two: enableReferenceY-AxisLines and enableReferenceX-AxisLines [\#69](https://github.com/Boris-Em/BEMSimpleLineGraph/issues/69)

- Y-axis label issues [\#62](https://github.com/Boris-Em/BEMSimpleLineGraph/issues/62)

- Touch interaction on touch-down, not just start-pan? [\#59](https://github.com/Boris-Em/BEMSimpleLineGraph/issues/59)

**Fixed bugs:**

- Dots still animating when animationGraphStyle set to BEMLineAnimationNone [\#80](https://github.com/Boris-Em/BEMSimpleLineGraph/issues/80)

- BackgroundPopUplabel never show if enableYAxisLabel is set NO [\#71](https://github.com/Boris-Em/BEMSimpleLineGraph/issues/71)

**Merged pull requests:**

- Split enableReferenceAxisLines into two properties [\#87](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/87) ([gavinbunney](https://github.com/gavinbunney))

- fix issue \#80 [\#86](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/86) ([skywinder](https://github.com/skywinder))

- Fix wrong presentation of years in code exmple + auto-update graph by clicking on segment controll [\#85](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/85) ([skywinder](https://github.com/skywinder))

- update travis script to avoid "exited with 134" [\#84](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/84) ([skywinder](https://github.com/skywinder))

- Fix representation of negative values in Y axis [\#83](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/83) ([skywinder](https://github.com/skywinder))

- Fix several UI bug when displaying data with negative numbers [\#79](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/79) ([ben181231](https://github.com/ben181231))

- Fixed issue \#73 and labels Y axis height [\#78](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/78) ([Boris-Em](https://github.com/Boris-Em))

- Add segment to select Bezier or straght line [\#76](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/76) ([skywinder](https://github.com/skywinder))

## [v3.1](https://github.com/Boris-Em/BEMSimpleLineGraph/tree/v3.1) (2014-08-28)

[Full Changelog](https://github.com/Boris-Em/BEMSimpleLineGraph/compare/v3.0...v3.1)

**Fixed bugs:**

- alwaysDisplayDots=YES is not having effect when animationGraphEntranceTime=0.0 [\#61](https://github.com/Boris-Em/BEMSimpleLineGraph/issues/61)

## [v3.0](https://github.com/Boris-Em/BEMSimpleLineGraph/tree/v3.0) (2014-08-19)

[Full Changelog](https://github.com/Boris-Em/BEMSimpleLineGraph/compare/v2.3...v3.0)

**Fixed bugs:**

- Crash with one point or less on Feature branch [\#56](https://github.com/Boris-Em/BEMSimpleLineGraph/issues/56)

- X-Axis label displays under the graph view [\#47](https://github.com/Boris-Em/BEMSimpleLineGraph/issues/47)

**Merged pull requests:**

- Podname should be quoted [\#55](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/55) ([zrcoder](https://github.com/zrcoder))

- Add Y-Axis Reference Line \(\#40\) [\#43](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/43) ([japanconman](https://github.com/japanconman))

- Added Obj-C Tags and Added access to Labels [\#39](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/39) ([joeblau](https://github.com/joeblau))

- Add Y-Axis feature [\#33](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/33) ([japanconman](https://github.com/japanconman))

## [v2.3](https://github.com/Boris-Em/BEMSimpleLineGraph/tree/v2.3) (2014-06-02)

[Full Changelog](https://github.com/Boris-Em/BEMSimpleLineGraph/compare/v2.2...v2.3)

**Fixed bugs:**

- index beyond bounds when touch graph [\#31](https://github.com/Boris-Em/BEMSimpleLineGraph/issues/31)

- On Device [\#29](https://github.com/Boris-Em/BEMSimpleLineGraph/issues/29)

**Merged pull requests:**

- Feature branch catch up on Master branch [\#32](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/32) ([Boris-Em](https://github.com/Boris-Em))

## [v2.2](https://github.com/Boris-Em/BEMSimpleLineGraph/tree/v2.2) (2014-05-19)

[Full Changelog](https://github.com/Boris-Em/BEMSimpleLineGraph/compare/v2.1...v2.2)

**Fixed bugs:**

- Graph Displaying Opposite Direction [\#20](https://github.com/Boris-Em/BEMSimpleLineGraph/issues/20)

- Outside the Graph [\#18](https://github.com/Boris-Em/BEMSimpleLineGraph/issues/18)

**Merged pull requests:**

- Feature branch catch up on Master branch [\#25](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/25) ([Boris-Em](https://github.com/Boris-Em))

- Added support for scrolling with a GraphView placed in UIScrollView [\#12](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/12) ([nmattisson](https://github.com/nmattisson))

## [v2.1](https://github.com/Boris-Em/BEMSimpleLineGraph/tree/v2.1) (2014-04-20)

[Full Changelog](https://github.com/Boris-Em/BEMSimpleLineGraph/compare/v2.0.1...v2.1)

**Fixed bugs:**

- Demo projects not working. [\#14](https://github.com/Boris-Em/BEMSimpleLineGraph/issues/14)

## [v2.0.1](https://github.com/Boris-Em/BEMSimpleLineGraph/tree/v2.0.1) (2014-03-03)

[Full Changelog](https://github.com/Boris-Em/BEMSimpleLineGraph/compare/v2.0...v2.0.1)

## [v2.0](https://github.com/Boris-Em/BEMSimpleLineGraph/tree/v2.0) (2014-03-02)

[Full Changelog](https://github.com/Boris-Em/BEMSimpleLineGraph/compare/v1.3...v2.0)

**Implemented enhancements:**

- Several Graphs in the same View Controller [\#11](https://github.com/Boris-Em/BEMSimpleLineGraph/issues/11)

**Fixed bugs:**

- Bug: The chart can not draw a single dot and it crashes. [\#6](https://github.com/Boris-Em/BEMSimpleLineGraph/issues/6)

- CALayerInvalidGeometry exception for duplicate & zeroed data points [\#3](https://github.com/Boris-Em/BEMSimpleLineGraph/issues/3)

**Merged pull requests:**

- 2.0 Update [\#13](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/13) ([Sam-Spencer](https://github.com/Sam-Spencer))

- Fixed issue \#3 and \#6 [\#9](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/9) ([Boris-Em](https://github.com/Boris-Em))

- Fixes crash, cleaned up for 64 bit [\#4](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/4) ([darkFunction](https://github.com/darkFunction))

## [v1.3](https://github.com/Boris-Em/BEMSimpleLineGraph/tree/v1.3) (2014-02-08)

[Full Changelog](https://github.com/Boris-Em/BEMSimpleLineGraph/compare/v1.2.2...v1.3)

**Merged pull requests:**

- Feature 1.3, 1.x Update [\#2](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/2) ([Sam-Spencer](https://github.com/Sam-Spencer))

## [v1.2.2](https://github.com/Boris-Em/BEMSimpleLineGraph/tree/v1.2.2) (2014-01-14)

[Full Changelog](https://github.com/Boris-Em/BEMSimpleLineGraph/compare/v1.2.1...v1.2.2)

## [v1.2.1](https://github.com/Boris-Em/BEMSimpleLineGraph/tree/v1.2.1) (2014-01-08)

[Full Changelog](https://github.com/Boris-Em/BEMSimpleLineGraph/compare/v1.2...v1.2.1)

## [v1.2](https://github.com/Boris-Em/BEMSimpleLineGraph/tree/v1.2) (2014-01-04)

**Merged pull requests:**

- Interface Initialization & Reload Data [\#1](https://github.com/Boris-Em/BEMSimpleLineGraph/pull/1) ([Sam-Spencer](https://github.com/Sam-Spencer))



\* *This Change Log was automatically generated by [github_changelog_generator](https://github.com/skywinder/Github-Changelog-Generator)*